# TimePeriod

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**EndDateTime** | Pointer to [**time.Time**](time.Time.md) | End of the time period, using IETC-RFC-3339 format | [optional] 
**StartDateTime** | Pointer to [**time.Time**](time.Time.md) | Start of the time period, using IETC-RFC-3339 format. If you define a start, you must also define an end | [optional] 

## Methods

### NewTimePeriod

`func NewTimePeriod() *TimePeriod`

NewTimePeriod instantiates a new TimePeriod object
This constructor will assign default values to properties that have it defined,
and makes sure properties required by API are set, but the set of arguments
will change when the set of required properties is changed

### NewTimePeriodWithDefaults

`func NewTimePeriodWithDefaults() *TimePeriod`

NewTimePeriodWithDefaults instantiates a new TimePeriod object
This constructor will only assign default values to properties that have it defined,
but it doesn't guarantee that properties required by API are set

### GetEndDateTime

`func (o *TimePeriod) GetEndDateTime() time.Time`

GetEndDateTime returns the EndDateTime field if non-nil, zero value otherwise.

### GetEndDateTimeOk

`func (o *TimePeriod) GetEndDateTimeOk() (*time.Time, bool)`

GetEndDateTimeOk returns a tuple with the EndDateTime field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetEndDateTime

`func (o *TimePeriod) SetEndDateTime(v time.Time)`

SetEndDateTime sets EndDateTime field to given value.

### HasEndDateTime

`func (o *TimePeriod) HasEndDateTime() bool`

HasEndDateTime returns a boolean if a field has been set.

### GetStartDateTime

`func (o *TimePeriod) GetStartDateTime() time.Time`

GetStartDateTime returns the StartDateTime field if non-nil, zero value otherwise.

### GetStartDateTimeOk

`func (o *TimePeriod) GetStartDateTimeOk() (*time.Time, bool)`

GetStartDateTimeOk returns a tuple with the StartDateTime field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### SetStartDateTime

`func (o *TimePeriod) SetStartDateTime(v time.Time)`

SetStartDateTime sets StartDateTime field to given value.

### HasStartDateTime

`func (o *TimePeriod) HasStartDateTime() bool`

HasStartDateTime returns a boolean if a field has been set.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


